LibreOffice: XInterfaceTypeDescription Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XInterfaceTypeDescription Interface Referencepublished

Reflects an interface type. More...

`import "XInterfaceTypeDescription.idl";`

Inheritance diagram for XInterfaceTypeDescription:

## Public Member Functions
com::sun::star::reflection::XTypeDescription | getBaseType ()
| Returns the base interface or null, if the reflected interface is not inherited from another.
com::sun::star::uno::Uik | getUik ()
| Deprecated.
sequence< com::sun::star::reflection::XInterfaceMemberTypeDescription > | getMembers ()
| Returns the members of the interfaces, i.e.
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity.
string | getName ()
| Returns the fully qualified name of the UNOIDL entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects an interface type.

This type is superseded by XInterfaceTypeDescription2, which supports multiple inheritance.

See also
  XInterfaceMemberTypeDescription

## Member Function Documentation

## ◆ getBaseType()

com::sun::star::reflection::XTypeDescription getBaseType | ( |  | ) |

Returns the base interface or null, if the reflected interface is not inherited from another.

This method is deprecated, as it only supports single inheritance. See XInterfaceTypeDescription2 for a replacement that supports multiple inheritance.

Returns
  base interface or null

Deprecated

## ◆ getMembers()

sequence< com::sun::star::reflection::XInterfaceMemberTypeDescription > getMembers | ( |  | ) |

Returns the members of the interfaces, i.e.

attributes and methods.

Returns
  interface members

## ◆ getUik()

com::sun::star::uno::Uik getUik | ( |  | ) |

Deprecated.

UIK are not used anymore, a type is uniquely identified by its name.
Returns the UIK, i.e. the unique identifier of the interface.

Returns
  uik of the interface

Deprecated

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XInterfaceTypeDescription.idl